'use strict';

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var exec = require('child_process').execSync;

module.exports = function () {
  var name;
  var email;

  try {
    name = exec('git config --get user.name');
    email = exec('git config --get user.email');
  } catch (e) {}

  name = name && (0, _stringify2.default)(name.toString().trim()).slice(1, -1);
  email = email && ' <' + email.toString().trim() + '>';
  return {
    name: name,
    email: email,
    desc: (name || '') + (email || '')
  };
};